Subject: bug#9581: 24.0.50; dbus-unregister-object fails if service is nil

From: Michael Albinus <[email-masked]>
Date: Sat, 24 Sep 2011 13:50:29 +0200

Julien Danjou <[email-masked]> writes:

I've committed a fix for both problems, could you, please, check?

> It sounds like a solution. What I don't like is that it's not really
> opaque, so somebody could mess with this, but well… I might be paranoid. :)

Reading the code, `dbus-registered-objects-table' has become an
unreadable format. Maybe we shall redesign the format, and move most of
the functionality from dbusbind.c to dbus.el. But that's something for
after-the-release.

Best regards, Michael.